User ManualPlug-ins Adobe IllustratorSystem Requirements and Compatibility

System Requirements and Compatibility

Adobe Illustrator > Plug-In

Availability: Plug-In for Adobe Illustrator Mac/Windows

In order to edit Print Items directly from Articles, Orders, or Production Jobs, you must connect Adobe Illustrator to the Workflow using the Plug-in. Learn more in this chapter,

  • Which system requirements must be met
  • Which Plug-in version is compatible with which version of Adobe Illustrator.

1. System Requirements

To connect Adobe Illustrator to the Workflow, you must install the Illustrator Plug-in on your system using your Adobe Illustrator license. The following prerequisites must be met to successfully install the Plug-in:

  • Mac OS X or Windows – A suitable operating system is necessary for the Adobe Illustrator CC version being used.
  • Adobe Illustrator CC – A suitable version that is compatible with the Plug-in installation package being used.
  • Network connection to the PMS/ZuniComm server – Ports 8081 and 8989 must be addressable and accessable.
  • Installation package – The appropriate installation package can be obtained from Durst Customer Service.

Installing multiple instances of the Plug-in

The availability of the Plug-in is managed by the license installed on the Workflow and therefore the Plug-in can be installed on any machine. The Plug-in does not require individual activation, so an unlimited number of Plug-in instances are available.

2. Compatibility Overview

The following overviews show the compatibility of the installation packages including which version of the Workflow is compatible with it. In general, the latest version of the installation package is compatible with the last three versions of Adobe Illustrator.

2.1. Workflow 1.7.7.141

Compatibility

If you are using version 1.7.7.141 of the Workflow, Plug-in installation package version 1.7.7.31 must be used.

The following versions of Adobe Illustrator are supported for version 1.7.7.31:


Adobe Illustrator CC 2019
Adobe Illustrator CC 2020
MacOSX Mac OS Version 10.14 (Mojave), Mac OS Version 10.13 (High Sierra), Mac OS Version 10.12 (Sierra) or Mac OS Version 10.11 (El Capitan)
Mac OS Version 10.14 (Mojave), Mac OS Version 10.13 (High Sierra), Mac OS Version 10.12 (Sierra) or Mac OS Version 10.11 (El Capitan), Mac OS Version 10.15.5 (Catalina)
Windows Microsoft Windows 7 with Service Pack 1, Windows 8.1 or Windows 10
Microsoft Windows 7 with Service Pack 1, Windows 8.1 or Windows 10
Supports Plug-in Version 1.7.7.31
Plug-in Version 1.7.7.31

2.2. Workflow 1.7.6.40

Compatibility

If you are using version 1.7.6.40 of the Workflow, Plug-in installation package version 1.7.6.40 must be used.

The following versions of Adobe Illustrator are supported for version 1.7.6.40:


Adobe Illustrator CC 2017 Adobe Illustrator CC 2018
Adobe Illustrator CC 2019
MacOSX Mac OS Version 10.12 (Sierra) or Mac OS Version 10.11 (El Capitan)
Mac OS Version 10.14 (Mojave), Mac OS Version 10.13 (High Sierra), Mac OS Version 10.12 (Sierra) or Mac OS Version 10.11 (El Capitan)
Mac OS Version 10.14 (Mojave), Mac OS Version 10.13 (High Sierra), Mac OS Version 10.12 (Sierra) or Mac OS Version 10.11 (El Capitan)
Windows Windows 7 mit Service Pack 1, Windows 8.1 oder Windows 10
Microsoft Windows 7 with Service Pack 1, Windows 8.1 or Windows 10
Microsoft Windows 7 with Service Pack 1, Windows 8.1 or Windows 10
Supports Plug-in Version 1.7.0.26
Plug-in Version 1.7.0.26 und Plug-in Version 1.7.6.40
Plug-in Version 1.7.6.40

2.3. Workflow 1.7.5.27

Compatibility

If you are using version 1.7.5.27 of the Workflow, Plug-in installation package version 1.7.5.8 must be used.

The following versions of Adobe Illustrator are supported for version 1.7.5.8:


Adobe Illustrator CC 2017 Adobe Illustrator CC 2018
Adobe Illustrator CC 2019
MacOSX Mac OS Version 10.12 (Sierra) or Mac OS Version 10.11 (El Capitan)
Mac OS Version 10.14 (Mojave), Mac OS Version 10.13 (High Sierra), Mac OS Version 10.12 (Sierra) or Mac OS Version 10.11 (El Capitan)
Mac OS Version 10.14 (Mojave), Mac OS Version 10.13 (High Sierra), Mac OS Version 10.12 (Sierra) or Mac OS Version 10.11 (El Capitan)
Windows Windows 7 mit Service Pack 1, Windows 8.1 oder Windows 10
Microsoft Windows 7 with Service Pack 1, Windows 8.1 or Windows 10
Microsoft Windows 7 with Service Pack 1, Windows 8.1 or Windows 10
Supports Plug-in Version 1.7.0.26
Plug-in Version 1.7.0.26 und Plug-in Version 1.7.5.8
Plug-in Version 1.7.5.8

2.4. Workflow 1.7.4 – Plug-In-Version 1.7.4.26

Compatibility

If you are using version 1.7.4 of the Workflow, Plug-in installation package version 1.7.4.26 must be used.

The following versions of Adobe Illustrator are supported for version 1.7.4.26:


Adobe Illustrator CC 2017 Adobe Illustrator CC 2018
Adobe Illustrator CC 2019
MacOSX Mac OS Version 10.12 (Sierra) or Mac OS Version 10.11 (El Capitan)
Mac OS Version 10.14 (Mojave), Mac OS Version 10.13 (High Sierra), Mac OS Version 10.12 (Sierra) or Mac OS Version 10.11 (El Capitan)
Mac OS Version 10.14 (Mojave), Mac OS Version 10.13 (High Sierra), Mac OS Version 10.12 (Sierra) or Mac OS Version 10.11 (El Capitan)
Windows Windows 7 mit Service Pack 1, Windows 8.1 oder Windows 10
Microsoft Windows 7 with Service Pack 1, Windows 8.1 or Windows 10
Microsoft Windows 7 with Service Pack 1, Windows 8.1 or Windows 10
Supports Plug-in Version 1.7.0.26
Plug-in Version 1.7.0.26 und Plug-in Version 1.7.4.26
Plug-in Version 1.7.4.26

Current version not available for older Illustrator versions

Please note that the current Plug-in version 1.7.4.26 can only be installed for Adobe Illustrator 2018 and Adobe Illustrator 2019. Adobe Illustrator 2017 and 2015.3 can still be used with Plug-in version 1.7.0.26.

New Features

The following new features are available:

  • PDF Export Settings
  • The panels have been renamed

Further information about these new features can be found in the Release Notes 1.7.4.

2.5. Workflow 1.7.3 – Plug-In-Version 1.7.3.54

Compatibility

If you using version 1.7.3 of the Workflow, Plug-in installation package version 1.7.3.54 must be used.

The following versions of Adobe Illustrator are supported for version 1.7.3.54:


Adobe Illustrator CC 2017
Adobe Illustrator CC 2018
Adobe Illustrator CC 2019
MacOSX Mac OS Version 10.12 (Sierra) or Mac OS Version 10.11 (El Capitan)
Mac OS Version 10.14 (Mojave), Mac OS Version 10.13 (High Sierra), Mac OS Version 10.12 (Sierra) or Mac OS Version 10.11 (El Capitan)
Mac OS Version 10.14 (Mojave), Mac OS Version 10.13 (High Sierra), Mac OS Version 10.12 (Sierra) or Mac OS Version 10.11 (El Capitan)
Windows Windows 7 mit Service Pack 1, Windows 8.1 oder Windows 10
Microsoft Windows 7 with Service Pack 1, Windows 8.1 or Windows 10
Microsoft Windows 7 with Service Pack 1, Windows 8.1 or Windows 10
Support Plug-In Version 1.7.0.26
Plug-In Version 1.7.0.26 und Plug-in Version 1.7.3.54
Plug-In Version 1.7.3.54

New Features

The following new features are available:

  • Standard Barcode sizes
  • Additional Bearer-Bars options
  • High-resolution display of Barcodes and QR Codes

Further information about these new features can be found in the Release Notes 1.7.3.

2.6. Workflow 1.7.2 – Plug-In-Version 1.7.2.28

Compatibility

If you using version 1.7.2 of the Workflow, Plug-in installation package version 1.7.2.28 must be used.

The following versions of Adobe Illustrator are supported for version 1.7.2.28:


Adobe Illustrator CC 2017
Adobe Illustrator CC 2018
Adobe Illustrator CC 2019
MacOSX Mac OS Version 10.12 (Sierra) or Mac OS Version 10.11 (El Capitan)
Mac OS Version 10.14 (Mojave), Mac OS Version 10.13 (High Sierra), Mac OS Version 10.12 (Sierra) or Mac OS Version 10.11 (El Capitan)
Mac OS Version 10.14 (Mojave), Mac OS Version 10.13 (High Sierra), Mac OS Version 10.12 (Sierra) or Mac OS Version 10.11 (El Capitan)
Windows Windows 7 mit Service Pack 1, Windows 8.1 oder Windows 10
Microsoft Windows 7 with Service Pack 1, Windows 8.1 or Windows 10
Microsoft Windows 7 with Service Pack 1, Windows 8.1 or Windows 10
Support Plug-In Version 1.7.0.26
Plug-In Version 1.7.0.26 und Plug-in Version 1.7.2.28
Plug-In Version 1.7.2.28

Current version not available for older Illustrator versions

Please note that the current Plug-in version 1.7.2.28 can only be installed for Adobe Illustrator 2018 and Adobe Illustrator 2019. Adobe Illustrator 2017 and 2015.3 can still be used with Plug-in version 1.7.0.26.

New Features

The following new feature is available:

  • Updated the Spot Colors panel

Further information about these new features can be found in the Release Notes 1.7.2.

2.7. Workflow 1.7.1 – Plug-In-Version 1.7.1.25

Compatibility

If you using version 1.7.1 of the Workflow, Plug-in installation package version 1.7.1.25 must be used.

The following versions of Adobe Illustrator are supported for version 1.7.1.25:


Adobe Illustrator CC 2015.3
Adobe Illustrator CC 2017
Adobe Illustrator CC 2018
MacOSX 10.11 (empfohlen), 10.10, 10.9
10.12 (Sierra) or 10.11 (El Capitan)
10.13 (High Sierra), 10.12 (Sierra) or 10.11 (El Capitan)
Windows Windows 7 mit Service Pack 1, Windows 8.1 oder Windows 10
Windows 7 mit Service Pack 1, Windows 8.1 oder Windows 10
Windows 7 mit Service Pack 1, Windows 8.1 oder Windows 10
Supports Ja
Ja
Ja

New Features

The following new feature is available:

  • Uninstaller for the Plug-in

Further information about these new features can be found in the Release Notes 1.7.1.

2.8. Workflow 1.7.0 – Plug-In-Version 1.7.0.26

Compatibility

If you using version 1.7.0 of the Workflow, Plug-in installation package version 1.7.0.26 must be used.

The following versions of Adobe Illustrator are supported for version 1.7.0.26:


Adobe Illustrator CC 2015.3
Adobe Illustrator CC 2017
Adobe Illustrator CC 2018
MacOSX 10.11 (empfohlen), 10.10, 10.9
Value 110.12 (Sierra) or 10.11 (El Capitan)
Value 210.13 (High Sierra), 10.12 (Sierra) or 10.11 (El Capitan)
Windows Windows 7 mit Service Pack 1, Windows 8.1 oder Windows 10
Windows 7 mit Service Pack 1, Windows 8.1 oder Windows 10
Windows 7 mit Service Pack 1, Windows 8.1 oder Windows 10
Supports Ja
Ja
Ja

New Features

The following new feature is available:

  • Access to Articles
  • Upload Fonts

Further information about these new features can be found in the Release Notes 1.7.0.